package ru.ezsk.demo.graphLayout;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * @version $Revision$ $Author$
 *          $Date$
 */
public abstract class XItemListener implements ItemListener
{
    public final void itemStateChanged(ItemEvent e) {
        final int change = e.getStateChange();
        switch (change) {
            case ItemEvent.SELECTED:
                stateChanged(true);
                break;
            case ItemEvent.DESELECTED:
                stateChanged(false);
                break;
            default:
        }
    }

    protected abstract void stateChanged(boolean selected);
}
