package ru.ezsk.demo.graphLayout;

/**
 * @version $Revision: 16 $ $Author: beholder $
 *          $Date: 2005-10-18 09:58:32 +0400 (Вт, 18 окт 2005) $
 */
public class XMath
{
    //========================================================== Class Methods

    public static double sqr(double v) {
        return v * v;
    }

    public static int sqr(int v) {
        return v * v;
    }

    public static double distance(int x1, int x2, int y1, int y2) {
        return Math.sqrt(sqr(x1 - x2) + sqr(y1 - y2));
    }

    public static double distance(double x1, double x2, double y1, double y2) {
        return Math.sqrt(sqr(x1 - x2) + sqr(y1 - y2));
    }

    //=========================================================== Constructors

    private XMath() {
    }

    public static double minmax(double value, int min, int max) {
        assert min <= max;
        //return Math.max(min, Math.min(max, value));
        if (value < min) {
            return min;
        } else if (value > max) {
            return max;
        } else {
            return value;
        }
    }
}
